bitel.billing.server.card.idealer.findbean

## Class FindContractUtils

- java.lang.Object
- - bitel.billing.server.card.idealer.findbean.FindContractUtils

-     public class FindContractUtils
      extends java.lang.Object

  Здесь раньше были методы поиска договора по различным критериям (адрес, телефон, логин и т.п.) Теперь все это делает универсальное API поиска договоров
  See Also:
    `SearchContracts`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindContractUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<Contract>` | `findContract(java.sql.Connection con, bitel.billing.server.card.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, javax.servlet.http.HttpServletRequest request, boolean accurate)`
    `static java.util.Map<java.lang.String,java.lang.String>` | `getSearchParametersMap(bitel.billing.server.card.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, javax.servlet.http.HttpServletRequest request, boolean _accurate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindContractUtils

          public FindContractUtils()

  - ### Method Detail

    - #### findContract

          public static java.util.List<Contract> findContract(java.sql.Connection con,
                                                              bitel.billing.server.card.idealer.Conf conf,
                                                              long findmodes,
                                                              long allowcontracts,
                                                              long allowcontractsMode,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              boolean accurate)

      Parameters:
        `con` -
        `moduleSetup` -
        `modes` -
        `request` -
        `accurate` - обязателен или нет "точный" поиск (=)
      Returns:

    - #### getSearchParametersMap

          public static java.util.Map<java.lang.String,java.lang.String> getSearchParametersMap(bitel.billing.server.card.idealer.Conf conf,
                                                                                                long findmodes,
                                                                                                long allowcontracts,
                                                                                                long allowcontractsMode,
                                                                                                javax.servlet.http.HttpServletRequest request,
                                                                                                boolean _accurate)

      Parameters:
        `con` -
        `moduleSetup` -
        `modes` -
        `request` -
        `_accurate` - обязательен или нет "точный" поиск (=)
      Returns: